Page MenuHomePhabricator

Enable support for all WB data types in top-level Statements and Qualifiers
Closed, ResolvedPublic

Description

The next "milestone" for the Mediainfo extension is to enable all (or at least almost all) of the primitive Wikibase data types as allowable user input.

This includes both "top-level" support at the level of the statement widgets as well as qualifier-level support attached to a specific statement Item.

The statement panel UI as it currently stands is centered on an always-available autocomplete lookup field (something that only makes sense when there is a list of available values to display). We're going to need to change some things about how statement panels look/work when they correspond to other data types.

Related Objects

StatusSubtypeAssignedTask
Resolvedegardner
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedRamsey-WMF
ResolvedRamsey-WMF
Resolvedmatthiasmullie
ResolvedRamsey-WMF
DuplicateNone
ResolvedRamsey-WMF
Resolvedegardner
Resolvedegardner
ResolvedRamsey-WMF
ResolvedCparle
Resolvedmatthiasmullie
ResolvedWMDE-leszek
ResolvedBUG REPORTmatthiasmullie
ResolvedEtonkovidova
ResolvedEtonkovidova
Resolvedmatthiasmullie
ResolvedCparle

Event Timeline

egardner created this task.Sep 16 2019, 4:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2019, 4:51 PM

Change 537208 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/WikibaseMediaInfo@master] Enable non-item datatypes at both statement and qualifier levels

https://gerrit.wikimedia.org/r/537208

Change 537208 abandoned by Eric Gardner:
Enable non-item datatypes at both statement and qualifier levels

Reason:
Abandoned in favor of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/ /542253

https://gerrit.wikimedia.org/r/537208

Support for String, Quantity, and URL datatypes is introduced here: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/+/542253. Follow-up patches will introduce support for more exotic datatypes.

Restricted Application added a project: Structured-Data-Backlog. · View Herald TranscriptMar 16 2020, 3:34 PM
Ramsey-WMF closed this task as Resolved.Jul 20 2020, 8:41 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

All done!